using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IACommService4CSharp
{
    public class AXDeviceInfo_t : DeviceBaseInfo_t
    {
        public AXDeviceInfo_t() : base()
        {
        }
        //Internal use
        public AXDeviceInfo_t(IDataValue4CSharp value) : base(value)
        {
        }
        public virtual string Version
        {
            get
            {
                return GetFieldValue("Version") as string;
            }
            set
            {
                SetFieldValue("Version", value);
            }
        }
        public ArrayBase_t<EthernetInfo_t> EthernetInfoList
        {
            get
            {
                return GetFieldValue("Ethernet", typeof(ArrayBase_t<EthernetInfo_t>)) as ArrayBase_t<EthernetInfo_t>;
            }
            set
            {
                SetFieldValue("Ethernet", value);
            }
        }
    }
}
